Bug 460209 - adminserver "./configure --help" error @ --with-apr-config
adminserver "./configure --help" error @ --with-apr-config
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
: VerifiedUpstream
Depends On:
Blocks: 389_1.2.6
  Show dependency treegraph
 
Reported: 2008-08-26 15:52 EDT by bwailea+11
Modified: 2015-12-07 11:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:33:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch (10.25 KB, patch)
2010-02-15 14:19 EST, Nathan Kinder
nhosoi: review+
Details | Diff

  None (edit)
Description bwailea+11 2008-08-26 15:52:13 EDT
building adminserver, "./configure --help" indicates,

	../configure --help | egrep "with-httpd|with-apxs|with-apr-config"
	  --with-httpd=PATH       Full path of Apache binary. Configure will usually
	  --with-apxs=PATH        Path to apxs
	  --with-apr-config       Use apr-config to determine the APR directory

although it's clear that 

	--with-httpd=...
	--with-apxs=...

accept full path to binary, for,

	--with-apr-config

it's not.

but, apparently, it does/can accept,

	--with-apr-config=/path/to/apr-config


"./configure --help" section should be corrected/clarified.
Comment 1 Nathan Kinder 2010-02-15 14:19:00 EST
Created attachment 394380 [details]
Patch
Comment 2 Nathan Kinder 2010-02-15 15:56:12 EST
Thanks to Noriko for her review!  Pushed to master.
Comment 3 Fedora Update System 2010-02-26 21:30:00 EST
389-admin-1.1.11-0.2.a2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc13
Comment 4 Fedora Update System 2010-02-26 21:30:15 EST
389-admin-1.1.11-0.2.a2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.el5
Comment 5 Fedora Update System 2010-02-26 21:30:28 EST
389-admin-1.1.11-0.2.a2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc12
Comment 6 Fedora Update System 2010-02-26 21:30:41 EST
389-admin-1.1.11-0.2.a2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/389-admin-1.1.11-0.2.a2.fc11
Comment 8 Rich Megginson 2011-06-22 10:28:59 EDT
mark as verified upstream

Note You need to log in before you can comment on or make changes to this bug.